<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<div th:fragment="sidenav(topics)" id="topicSidenav" class="sidenav">

    <div class="firstLevel scrollbar-dark">
        <div class="px-5 pb-2 w-100">
            <img class="w-100" alt="MapOfData" th:src="@{/imgs/name.png}">
        </div>

        <div class="separator"></div>

        <div th:if="${not #lists.isEmpty(topics)}">
            <div class="topicList">
                <ul>
                    <li th:each="topic : ${topics}"
                        onclick="topicClick(event)" class="topic"
                        onmouseover="topicMouseOver(event)"
                        onmouseout="topicMouseOut(event)"
                        th:attr="data-topic-id=${topic.id},data-color=${topic.color}">
                        <div class="topicIcon">
                            &nbsp;
                            <i th:class="${topic.imgClass}"></i>
                        </div>
                        <span class="topicName" th:text="${topic.value}"></span>
                    </li>
                </ul>
            </div>

        </div>
    </div>

    <div id="indicatorList" class="secondLevel scrollbar-light flex-fill">
        <ul th:each="topic : ${topics}"
            th:id="'indicators'+${topic.id}"
            th:if="${not #lists.isEmpty(topic.baseIndicators)}"
            class="indicatorList d-none">

            <li class="baseIndicator"
                th:each="baseIndic : ${topic.baseIndicators}">

                <button th:if="${#lists.size(baseIndic.indicators) == 1}"
                        class="indicator"
                        th:text="${baseIndic.name}"
                        th:attr="data-indicator-id=${baseIndic.indicators[0].key}"
                        onclick="indicatorClick(event)"></button>

                <div th:if="${#lists.size(baseIndic.indicators) > 1}"
                     class="indicator collapseIndicator collapsed d-flex"
                     data-toggle="collapse" aria-expanded="false"
                     th:attr="data-target=${'#indicator' + baseIndic.getKeyWithoutDots()}"
                     onclick="indicatorCollapse(event);">
                    <div class="mr-2" th:text="${baseIndic.name}"></div>
                    <div th:replace="frag/utils :: plusMinus('')"></div>
                </div>

                <ul th:id="${'indicator' + baseIndic.getKeyWithoutDots()}" class="collapse"
                    th:if="${#lists.size(baseIndic.indicators) > 1}"
                    th:attr="data-parent='#indicators'+${topic.id}">

                    <li class="indicator"
                        th:each="indic : ${baseIndic.indicators}"
                        th:attr="data-indicator-id=${indic.key}"
                        th:text="${indic.name}"
                        onclick="indicatorClick(event)"></li>

                </ul>

            </li>

            <!--th:attr="data-indicator-id=${baseIndic.key}"
                onclick="indicatorClick(event)"-->
        </ul>

        <script>
            function indicatorCollapse(event) {
                $(".collapseIndicator .plusMinus").removeClass("minus");
                var target = $(event.target.closest(".collapseIndicator"));
                if (target.next(".show").length === 0) {
                    target.children(".plusMinus").addClass("minus");
                }
            }
        </script>
    </div>

</div>

</body>
</html>